BizKitHub
DocsAPI ReferenceLedger/bff/ledger/journal/reverse
postLedgerAdmin BFF

/bff/ledger/journal/reverse

Reverse a posted entry (storno)

LedgerpostBffLedgerJournalReverse

Parameters

JSON body

Request body

application/json
entityIdstringRequired

Accounting entity external id.

Length: 16–24
idstringRequired

Journal entry external id.

Length: 24–24
rowVersionstring | integerRequired
One of 2:
Variant 1
stringinteger
Default: 0
Variant 2
integer
Range: 1–∞
mode"red" | "swap"Required
datestring | nullOptional
One of 2:
Variant 1
string
Example2027-01-15
Variant 2
null
reasonstring | nullOptional
One of 2:
Variant 1
string
Length: 0–500
Variant 2
null

Response schema

1 status code documented

200Success
successbooleanRequired
idstringRequired
entryNostringRequired
datestringRequired

Response example

application/json
{
  "success": false,
  "id": "example_id",
  "entryNo": "example_entryNo",
  "date": "example_date"
}

Request example

POST /bff/ledger/journal/reverse

post
curl -X POST "https://api.bizkithub.com/bff/ledger/journal/reverse" \
  -H "Content-Type: application/json" \
  -H "Authorization: Bearer YOUR_API_KEY" \
  -d '{
  "entityId": "example_entityId",
  "id": "example_id"
}'

Need an API key?

All BizKitHub public API endpoints require authentication via API key.

Get API Key